Activiti Update from 5.8 to 5.9 (using PostgreSQL)

Description

When updating from Activiti 5.8 to 5.9, the database update script fails when editing the table "ACT_GE_BYTEARRAY". The script tries to set "GENERATED_" to FALSE via

"update ACT_GE_BYTEARRAY set GENERATED_ = 0"

While you can set booleans with 0 or 1 on other databases, on PostgreSQL you can't. (You can use '0' or '1', but they can't be integers)

Suggested solution:

"update ACT_GE_BYTEARRAY set GENERATED_ = false" (see patch)

Environment

Debian VM / Tomcat 7 / PostgreSQL 8.4

Assignee

Daniel Meyer (camunda)

Reporter

Chris Samulski

Labels

None

Components

Fix versions

Affects versions

Priority

Major
Configure